Impossible d'installer mysql-devel sur centos

Chaque fois que j'essaie de courir

sudo yum install mysql-devel

J'ai couru dans l'erreur suivante:

Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package mysql-devel.i686 0:5.1.73-3.el6_5 will be installed
--> Processing Dependency: mysql = 5.1.73-3.el6_5 for package: mysql-devel-5.1.73-3.el6_5.i686
--> Finished Dependency Resolution
Error: Package: mysql-devel-5.1.73-3.el6_5.i686 (updates)
Requires: mysql = 5.1.73-3.el6_5
Installed: mysql-5.5.28-1.el6.i686 (@CentALT)
mysql = 5.5.28-1.el6
Available: mysql-5.1.71-1.el6.i686 (base)
mysql = 5.1.71-1.el6
Available: mysql-5.1.73-3.el6_5.i686 (updates)
mysql = 5.1.73-3.el6_5
You could try using --skip-broken to work around the problem
You could try running: rpm -Va --nofiles --nodigest

J'essaie sans succès d'exécuter les deux équipes proposées. Est-ce que quelqu'un sait ce qui empêche cela d'installer cela? Dois-je établir un certain forfait ou quelque chose comme ça?
Invité:

Catherine

Confirmation de:

.. supposer

CentALT

repo ne

mysql-devel


rpm

, Vous devrez réinstaller

mysql-server

, Supprimer celui que vous avez déjà et l'installer de

base

Avant d'installer

mysql-devel

(Les deux doivent être installés au même endroit.).

yum remove mysql
yum install mysql-devel

Dominique

Confirmation de:

Ta version mysql Diffère de la version mysql-devel, Que vous essayez d'installer. C'est parce que vous avez installé mysql Du référentiel CentALT Conformément à votre conclusion.

Essayer

yum --enablerepo=CentALT install mysql-devel

Pour répondre aux questions, connectez-vous ou registre